[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Pasuspender broken in F10?



On Wed, 2008-12-24 at 09:10 -0600, Mikkel L. Ellertson wrote:
> Jonathan Ryshpan wrote:
> > Has anyone been able to use pasuspender successfully in F10?  Here's
> > what I get when I try to start it; it looks like the argument parsing
> > code is now working right.  Also the help function looks weird since it
> > doesn't give any program to start, and it doesn't correspond to the man
> > page.
> > 
> > $ pasuspender jackd
> > Failure to suspend: Invalid argument
> > $ pasuspender -- jackd
> > Failure to suspend: Invalid argument
> > $ pasuspender --help
> > pasuspender [options] ... 
> > 
> >   -h, --help                            Show this help
> >       --version                         Show version
> >   -s, --server=SERVER                   The name of the server to connect to
> > 
> > 
> If I am reading the help correctly, shouldn't it be:
> 
> pasuspender -s jackd

In fact: no.  But you have lit the way to the correct invocation:
        pasuspender -s pulseaudio -- jackd <jackd-args>
It looks like the old pasuspender defaulted the server name to
"pulseaudio", but the latest one doesn't.  This is a bug, at least in
the documentation, which is confusing.

I have filed this as a bug.

jon


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]